# QVM: Quaternions, Vectors, Matrices

### rotz_quat(scalar)

#include <boost/qvm/quat_operations.hpp>

    namespace boost
    {
        namespace qvm
        {
            template <class Angle>
            -unspecified-return-type- rotz_quat( Angle const & angle );
        }
    }

#### Returns:

A view proxy quaternion of unspecified type and scalar type Angle, which performs a rotation around the Z axis at angle radians.

See also: boost/qvm/quat_operations.hpp | rotate_z(quat,scalar) | set_rotz(quat,scalar)